Skip to main content
GET
/
v2
/
amplify
/
withdrawalVolumes
List withdrawal volumes
curl --request GET \
  --url https://api.paxoslabs.com/v2/amplify/withdrawalVolumes \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.paxoslabs.com/v2/amplify/withdrawalVolumes"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.paxoslabs.com/v2/amplify/withdrawalVolumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "withdrawalVolumes": [
    {
      "vaultAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "chainId": 1,
      "startTime": "2026-01-01T00:00:00Z",
      "endTime": "2026-01-02T00:00:00Z",
      "interval": "86400s",
      "volumeUsd": "12345.67",
      "volumeAsset": "12345.67",
      "wantAssetAddress": "0xabcdef1234567890abcdef1234567890abcdef12"
    }
  ],
  "nextPageToken": "eyJvZmZzZXQiOjI1fQ==",
  "tokenMetadata": {}
}
{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}

Authorizations

x-api-key
string
header
required

API key in format: pxl_<public_id>_

Query Parameters

pageSize
number
default:25

Maximum items per page. Default: 25. Min: 1, max: 100.

Required range: 1 <= x <= 100
Example:

25

pageToken
string

Opaque token for the next page. Omit for the first page.

startTime
string
required

Start of time range (RFC 3339 UTC). Required.

Example:

"2026-01-01T00:00:00Z"

endTime
string
required

End of time range (RFC 3339 UTC). Required.

Example:

"2026-01-21T00:00:00Z"

vaultAddress
string
required

Vault address to filter by (hex address). Required.

Example:

"0x1234567890abcdef1234567890abcdef12345678"

interval
string

Duration between data points (e.g. 86400s). Optional.

Example:

"86400s"

orderByTimestamp
enum<string>

Order by timestamp. Allowed: asc, desc. Default: asc.

Available options:
asc,
desc
filter
string

Filter string. Flags: chainId, wantAssetAddress. Optional.

Example:

"chainId=1 AND wantAssetAddress=0xabcdef1234567890abcdef1234567890abcdef12"

Response

List of withdrawal volume data points

withdrawalVolumes
object[]
required

List of withdrawal volume data points

nextPageToken
string | null
required

Token for the next page. null when there are no more results. Always present.

Example:

"eyJvZmZzZXQiOjI1fQ=="

tokenMetadata
object
required

Address metadata map keyed by lowercase token/address. Missing metadata is represented as null.